# DescribeEipAvailableResources

## 1. API Description

This API (DescribeEipAvailableResources) is used to query elastic IP resources for sale in the zone.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                 | Description                                                                                                                    |
| -------------- | -------- | -------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| eipChargeType  | Yes      | [ChargeType](/api-reference/compute/bmc/datastructure.md#chargetype) | <p>Elastic IP pricing model .</p><p>PREPAID: subscription</p><p>POSTPAID: pay-as-you-go</p>                                    |
| zoneId         | No       | String                                                               | <p>Zone ID to which the elastic IPs belong.</p><p>If this parameter is not passed in, the elastic IPs in all zones return.</p> |

## 3. Output Parameters

| Parameter Name | Type                                                                              | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                            | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| eipResources   | Array of [EipAvailable](/api-reference/compute/bmc/datastructure.md#eipavailable) | Zone list of available elastic IPs.                                                                                   |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query prepaid elastic IP resources for sale in the zone: SEL-A**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipAvailableResources
<Common Request Params>

Request：
{
    "eipChargeType": "PREPAID",
    "zoneId": "SEL-A"
}

Response：
{
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "response": {
        "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
        "eipResources": [
            {
                 "zoneId"："SEL-A"，
                 "status"："SELL"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                | Description     |
| ---------------- | ------------------------- | --------------- |
| 404              | INVALID\_ZONE\_NOT\_FOUND | Zone not found. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/elastic-ip/describeeipavailableresources.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
